Support » Requests and Feedback » [Plugin: WordPress Membership Site Plugin Memberwing] Is this plugin GPL compatible?

  • This plugin cannot qualify as GPL compatible. The code is obfuscated with the ionCube encoder.

    The only plain php file is the minimal one required to contain the plugin header, ‘memberwing_head100_free.php’ and the ionCube loader itself.

    The plugin does not indicate any licence at all.

    The License for the loader is definitely not GPL compatible.

    1.1 The Loader is provided free. Title to the Loader does not pass to the user in any circumstances. The Loader is supplied in object code.

    I believe this plugin should be removed from the repository

    http://wordpress.org/extend/plugins/memberwing-membership-plugin/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Moderator Mark Jaquith

    (@markjaquith)

    WordPress Lead Dev

    I believe this plugin should be removed from the repository

    I agree. I passed this info along to one of the repository maintainers. Good catch.

    Doesn’t look like anyone’s listening!

    Hi Mark,
    I am author and developer of MemberWing. I am sorry for mishap.
    All sources are used to be opened. Then a client asked me to add a piece of useful functionality but insisted on having it protected. So I used Ioncube but I guess overdone it a bit.

    I’d be happy to open my sources back and resolve this issue to the best of all – there are no problems.

    If you could contact me offline (gleb at memberwing.com) to discuss logistics that would great.

    Thanks!

    Gleb

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Plugin: WordPress Membership Site Plugin Memberwing] Is this plugin GPL compatible?’ is closed to new replies.